//<script type="text/javascript">
function ctl(a__)
{
    return document.getElementById(a__);
}
function yc()
{
    var td_yc=ctl('td_yc');
    var jiao=ctl('jiao');
    
    if (td_yc.style.display=='')
    {
        td_yc.style.display='none';
        jiao.src='../images/BttnRight.gif';
    }
    else
    {
       td_yc.style.display='';
       jiao.src='../images/BttnLeft.gif';
    }
}

//设置要添加的组的父ID
function add_data(b__)
{
   ctl("z_fl").style.display="none";
   var Text2=ctl('Text2');
   Text2.value=b__;
   
   ctl('sp1').style.display='';
   ctl('sp2').style.display='none';
   ctl('sp3').style.display='';
   ctl('sp4').style.display='none';
   
    ctl('Text1').value='';
    ctl('TextArea1').value='';
    ctl("title_color").selectedIndex=0;
    ctl("f_baizhu").value=ctl("f_tu").value="";
    ctl("f_paixu").value=0;
    ctl("m_xianshi").checked=true;
}

function showfufl(indexfuid)
{
    var id_=ctl('Text2').value;
    var rvalue=Forum.Web.Admin.mulu.Default.mululist(id_).value;
    var fu_fllist=ctl("fu_fllist");
    
    fu_fllist.length=0;
    var index_=0;
    if(rvalue)
    {
        for(var i=0;i<rvalue.length;i++)
        {
            if(rvalue[i].MuLu_ID==indexfuid)
            {
                index_=i;
            }
            fu_fllist.options.add(new Option(rvalue[i].MuLu_Name,rvalue[i].MuLu_ID));
        }
        fu_fllist.selectedIndex=index_;
    }
    else
    {
        fu_fllist.options.add(new Option("不能调整分类",-1));
    }
}
function edit_data(id_)
{
    ctl("z_fl").style.display="";
    editshow(id_);
}
function editshow(id_)
{
    var rtxt=Forum.Web.Admin.mulu.Default.getmodel(id_).value;
    
    ctl('Text2').value=id_;
    ctl('Text1').value=rtxt.MuLu_Name;
    ctl('TextArea1').value=rtxt.MuLu_ShuoMing;
    
    ctl('sp1').style.display='none';
    ctl('sp2').style.display='';
    ctl('sp3').style.display='none';
    ctl('sp4').style.display='';
    
     //板主
     ctl('f_baizhu').value=rtxt.Mu_Lu_BanZhu;
     //排序
     ctl('f_paixu').value=rtxt.MuLu_PaiXu;
     //图片
     ctl('f_tu').value = rtxt.MuLu_Tu;
     //关键字
     ctl("f_keyword").value = rtxt.MuLu_KeyWord;
     //首页显示
     ctl("m_xianshi").checked= rtxt.MuLu_XianShi==1;
     
     for(var i=0;i<hbctl_.$("title_color").length;i++)
     {
        if(hbctl_.$("title_color").options[i].value==rtxt.MuLu_Color)
        {
            hbctl_.$("title_color").selectedIndex=i;
            break;
        }
     }
     
     showfufl(rtxt.MuLu_FuID);
}
function Button1_onclick() {
   if (ctl('Text1').value.length>1)
   {
       if (ctl('Text2').value.length>0)
       {
           addv();
       }
       else
       {
           alert('请在左边的栏目结构树上选择一项要添加下级的栏目！');
       }
   }
   else
   {
       alert('请输入新栏目名称!');
   }
}

function addv()
{
    var m_xianshi=ctl("m_xianshi").checked?1:0;
    var rtxt = Forum.Web.Admin.mulu.Default.Add(ctl('Text2').value, ctl('Text1').value, ctl('TextArea1').value, ctl('f_baizhu').value, ctl('f_paixu').value, ctl('f_tu').value, hbctl_.GetValueOrTextBySelectID("title_color", "value"), ctl("f_keyword").value,m_xianshi).value;
    if (rtxt=='1')
    {
       alert('添加成功！');
       
       var i = Math.round(Math.random() * 100);//生成0-50之前的随机数
       var if1=ctl('if1');
       if1.src='Forum_list.aspx?key='+i;
    }
    else
    {
       alert('对不起，操作失败，请稍候再试！');
    }
}
function Button2_onclick() {
   if (ctl('Text1').value.length>1)
   {
       if (ctl('Text2').value.length>0)
       {
           edit();
       }
       else
       {
           alert('请在左边的栏目结构树上选择一项要添加下级的栏目！');
       }
   }
   else
   {
       alert('请输入新栏目名称!');
   }
}

function edit()
{
//alert("ID:"+ctl('Text2').value+"\n 标题"+ctl('Text1').value+"\n 说明"+ctl('TextArea1').value+"\n 版主"+ctl('f_baizhu').value+"\n 排序"+ctl('f_paixu').value+"\n 图片"+ctl('f_tu').value+"\n 颜色"+hbctl_.GetValueOrTextBySelectID("title_color","value")+"\n 分类"+hbctl_.GetValueOrTextBySelectID("fu_fllist","value"));
     var m_xianshi=ctl("m_xianshi").checked?1:0;
    var rtxt = Forum.Web.Admin.mulu.Default.edit_(ctl('Text2').value, ctl('Text1').value, ctl('TextArea1').value, ctl('f_baizhu').value, ctl('f_paixu').value, ctl('f_tu').value, hbctl_.GetValueOrTextBySelectID("title_color", "value"), hbctl_.GetValueOrTextBySelectID("fu_fllist", "value"), ctl("f_keyword").value,m_xianshi).value;
    if (rtxt=='1')
    {
       alert('修改成功！');
       
       var i = Math.round(Math.random() * 100);//生成0-50之前的随机数
       var if1=ctl('if1');
       if1.src='Forum_list.aspx?key='+i;
    }
    else
    {
       alert('对不起，操作失败，请稍候再试！');
    }
}
function tu_() {
    var v1=ctl('f_tu');
    var galleryscript = '../IfrUpAspx/Ifr.aspx?url=UpPic.aspx?tfcdir=false&path=UpLoad/System/';

	imgArr = showModalDialog(galleryscript,window,'dialogWidth:350px; dialogHeight:150px;help: no; scroll: no; status: no');
	if (imgArr != null) {
		v1.value=imgArr;
	} else {
		alert("您没有上传图片。");
	}
}
//</script>